%define	module	 DBD-Firebird
%define	pdir	 DBD-Firebird

%define Werror_cflags %nil

Name:       perl-%{module}
Version:    0.52
Release:    %mkrel 1

Summary:	Firebird database driver for the DBI module
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist=%{module}
Source0:	http://www.cpan.org/modules/by-module/DBD/%{module}-%{version}.tar.gz
Patch0:		perl-DBD-Firebird-0.52-build.patch
Buildrequires:	perl-DBI
Buildrequires:	perl-devel
Buildrequires:	firebird-devel


%description
Firebird database driver for the DBI module

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1 -b .build

%build
export FIREBIRD_LIB=%{_libdir} 
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

#%check
#%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std
chmod 755 %{buildroot}%{perl_vendorarch}/auto/DBD/Firebird/Firebird.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{perl_vendorarch}/auto/DBD
%{perl_vendorarch}/DBD
%{_mandir}/*/*


%changelog
* Tue Mar 29 2011 philippem <philippem> 0.52-1.mga1
+ Revision: 78676
- imported package perl-DBD-Firebird

